<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
 -->
<project basedir="." name="config">
	<property environment="env"/>
	
	<!-- The qualifier of the features -->
	<property name="version" value="11.0.0."/>
	<tstamp/>
	<property name="timestamp" value="${DSTAMP}-${TSTAMP}"/>
	<property name="version.qualifier" value="${version}_${timestamp}"/>

	<property name="build.help" value="true"/>

    <property name="ECLIPSE_HOME" value="${env.ECLIPSE_SDK}"/>
	<!-- ANTLR runtime -->
	<property name="antlr4.jar.location" location="${env.ANTLR_JAR}"/>

	<!-- The directory of the build system -->
	<property name="base.dir" location="${basedir}"/>

	<!-- The location of the configuration file -->
	<property name="build.config" location="${basedir}/build_config.xml"/>

	<!-- The directories to use during the build process -->
	<property name="result.dir" location="${basedir}/result"/>
	<property name="log.dir" location="${result.dir}/logs"/>
	<property name="build.dir" location="${basedir}/../"/>
	<property name="zip.dir" location="/proj/ttcn3titan/www/ttcn/root/download/eclipse/zips/${version}"/>

	<property name="updatesites.tmp.location" location="${env.TMP_UPDATE_SITE_DIR}" />
	
	<!-- Location of external jars -->
	<property name="lib.dir" value="${env.PATH_TO_JARS}"/>

	<!-- Release update site -->
	<property name="updatesite.release.location"
		location="${env.DOWNLOAD_DIR}/update_site"/>
		<!-- location="${env.DOWNLOAD_DIR}/update_site"/> -->
	   
	<property name="updatesite.release.name" value="TITAN on Eclipse update site"/>
	<property name="updatesite.release.url" value="http://ttcn.ericsson.se/download/update_site/"/>

	<!-- FOA update site -->
	<property name="updatesite.FOA.location"
			  location="${env.DOWNLOAD_DIR}/FOA_update_site"/>
	<property name="updatesite.FOA.name" value="FOA update Site"/>
	<property name="updatesite.FOA.url" value="http://ttcn.ericsson.se/download/FOA_update_site/"/>

	<!-- Experimental update site -->
	<property name="updatesite.experimental.location"
			  location="${env.DOWNLOAD_DIR}/experimental_update_site"/>
	<property name="updatesite.experimental.name" value="Experimental update site"/>
	<property name="updatesite.experimental.url" value="http://ttcn.ericsson.se/download/experimental_update_site/"/>

	<!-- Testing update site -->
	<property name="updatesite.testing.location"
			  location="${env.DOWNLOAD_DIR}/testing_update_site"/>
	<property name="updatesite.testing.name" value="Testing update site"/>
	<property name="updatesite.testing.url" value="http://ttcn.ericsson.se/download/testing_update_site/"/>

	<!-- directory names etc -->
	<!-- These properties should not be changed -->
	<property name="common.name" value="org.eclipse.titan.common"/>
	<property name="runtime.name" value="org.eclipse.titan.runtime"/>
	<property name="designer.name" value="org.eclipse.titan.designer"/>
	<property name="executor.name" value="org.eclipse.titan.executor"/>
	<property name="help.name" value="org.eclipse.titan.help"/>
	<property name="logviewer.name" value="org.eclipse.titan.log.viewer"/>
	<!-- <property name="debug.name" value="org.eclipse.titan.debug"
	<property name="regressiontests.name" value="org.eclipse.titan.regressiontests"/> -->
	<property name="titanium.name" value="org.eclipse.titanium"/>
	<!--<property name="titanium.regressiontests.name" value="org.eclipse.titanium.regressiontests"/> -->
	<property name="titanium.refactoring.name" value="org.eclipse.titanium.refactoring"/>
	<property name="designer.feature.name" value="TITAN_Designer_feature"/>
	<property name="executor.feature.name" value="TITAN_Executor_feature"/>
	<property name="logviewer.feature.name" value="TITAN_Log_Viewer_Feature"/>
	<property name="titan_external_dependency.feature.name" value="Titan_external_dependencies_feature"/>
	<property name="titanium.feature.name" value="Titanium_Feature"/>
	<property name="titanium_external_dependency.feature.name" value="Titanium_external_dependencies_feature"/>
	<property name="titanium.refactoring.feature.name" value="Titanium_Refactoring_Feature"/>
	
	<property name="compiler.location" location="${env.TITAN_DIR_ROOT}"/>
	<property name="tpd.xsd" location="${compiler.location}/etc/xsd/TPD.xsd"/>
	<property name="online.help.dir" location="${compiler.location}/help"/>
	<property name="usrguide.compiler.dir" location="${compiler.location}/usrguide"/>
	<property name="usrguide.eclipse.dir" location="${base.dir}/../"/>
	<property name="usrguide.eclipse.titanium.dir" location="${base.dir}/../org.eclipse.titanium/docs/"/>
	<property name="usrguide.eclipse.titanium.refactoring.dir" location="${base.dir}/../org.eclipse.titanium.refactoring/docs/"/>

	<!-- javac options -->
	<property name="javac.debug" value="true"/>
    <property name="javac.debuglevel" value="lines,vars,source"/>
	<property name="javac.encoding" value="UTF-8"/>
    <property name="target" value="1.8"/>
    <property name="source" value="1.8"/>

</project>

